<?php

/*

  $Id: header.php,v 1.42 2003/06/10 18:20:38 hpdl Exp $



  osCommerce, Open Source E-Commerce Solutions

  http://www.oscommerce.com



  Copyright (c) 2003 osCommerce



  Released under the GNU General Public License

*/



// check if the 'install' directory exists, and warn of its existence

  if (WARN_INSTALL_EXISTENCE == 'true') {

    if (file_exists(dirname($HTTP_SERVER_VARS['SCRIPT_FILENAME']) . '/install')) {

      $messageStack->add('header', WARNING_INSTALL_DIRECTORY_EXISTS, 'warning');

    }

  }



// check if the configure.php file is writeable

  if (WARN_CONFIG_WRITEABLE == 'true') {

    if ( (file_exists(dirname($HTTP_SERVER_VARS['SCRIPT_FILENAME']) . '/includes/configure.php')) && (is_writeable(dirname($HTTP_SERVER_VARS['SCRIPT_FILENAME']) . '/includes/configure.php')) ) {

      $messageStack->add('header', WARNING_CONFIG_FILE_WRITEABLE, 'warning');

    }

  }



// check if the session folder is writeable

  if (WARN_SESSION_DIRECTORY_NOT_WRITEABLE == 'true') {

    if (STORE_SESSIONS == '') {

      if (!is_dir(tep_session_save_path())) {

        $messageStack->add('header', WARNING_SESSION_DIRECTORY_NON_EXISTENT, 'warning');

      } elseif (!is_writeable(tep_session_save_path())) {

        $messageStack->add('header', WARNING_SESSION_DIRECTORY_NOT_WRITEABLE, 'warning');

      }

    }

  }



// check session.auto_start is disabled

  if ( (function_exists('ini_get')) && (WARN_SESSION_AUTO_START == 'true') ) {

    if (ini_get('session.auto_start') == '1') {

      $messageStack->add('header', WARNING_SESSION_AUTO_START, 'warning');

    }

  }



  if ( (WARN_DOWNLOAD_DIRECTORY_NOT_READABLE == 'true') && (DOWNLOAD_ENABLED == 'true') ) {

    if (!is_dir(DIR_FS_DOWNLOAD)) {

      $messageStack->add('header', WARNING_DOWNLOAD_DIRECTORY_NON_EXISTENT, 'warning');

    }

  }



  if ($messageStack->size('header') > 0) {

    echo $messageStack->output('header');

  }

?>
<link rel="SHORTCUT ICON" href="favicon.ico">
<div style="height:21px; "></div>

<table width="715"  border="0" cellspacing="0" cellpadding="0" align="center">

        <tr>

          <td width="6%">&nbsp;</td>

          <td width="94%" valign="top"><table width="100%"  border="0" cellspacing="0" cellpadding="0">

            <tr>

              <td align="left"><p><a href="<?php echo tep_href_link(FILENAME_DEFAULT); ?>"><img src="<?php echo DIR_WS_IMAGES  ?>theme/logoheader1.jpg" width="260" height="102" border="0" /></a></p>              </td>
              <td valign="top"><p align="left"><img src="<?php echo DIR_WS_IMAGES  ?>theme/titleheader.jpg" width="654" height="77" border="0" /></p>
              <p align="left"><a href="<?php echo tep_href_link(FILENAME_DEFAULT,'cPath=1'); ?>"><img src="
			  <?php 
			  		$cPath = $HTTP_GET_VARS['cPath'];
					
					if($cPath==1)
					   echo DIR_WS_IMAGES.'theme/carnisel.jpg';
					else
			  		   echo DIR_WS_IMAGES.'theme/carni.jpg';  
			  
			  
			  ?>" onmouseover="this.src='images/theme/carnisel.jpg'" onmouseout="<?php 
			  		$cPath = $HTTP_GET_VARS['cPath'];
					
					if($cPath==1)
					   echo 'this.src=\'images/theme/carnisel.jpg\'';
					else
			  		   echo 'this.src=\'images/theme/carni.jpg\'';  
			  
			  
			  ?>" width="130" height="43" border="0" /></a>
              
              <a href="<?php echo tep_href_link(FILENAME_DEFAULT,'cPath=2'); ?>"><img src="
			  <?php 
			  $cPath = $HTTP_GET_VARS['cPath'];
					
					if($cPath==2)
					   echo DIR_WS_IMAGES.'theme/charkusel.jpg';
					else
			  		   echo DIR_WS_IMAGES.'theme/charku.jpg';  
			  
			  
			  ?>" onmouseover="this.src='images/theme/charkusel.jpg'" onmouseout="<?php 
			  		$cPath = $HTTP_GET_VARS['cPath'];
					
					if($cPath==2)
					   echo 'this.src=\'images/theme/charkusel.jpg\'';
					else
			  		   echo 'this.src=\'images/theme/charku.jpg\'';  
			  
			  
			  ?>" width="130" height="43" border="0" /></a>
              
              <a href="<?php echo tep_href_link(FILENAME_DEFAULT,'cPath=38'); ?>"><img src="<?php 
			  $cPath = $HTTP_GET_VARS['cPath'];
					
					if($cPath==38)
					   echo DIR_WS_IMAGES.'theme/pescasel.jpg';
					else
			  		   echo DIR_WS_IMAGES.'theme/pesca.jpg';  
			  
			  
			  ?>" onmouseover="this.src='images/theme/pescasel.jpg'" onmouseout="<?php 
			  		$cPath = $HTTP_GET_VARS['cPath'];
					
					if($cPath==38)
					   echo 'this.src=\'images/theme/pescasel.jpg\'';
					else
			  		   echo 'this.src=\'images/theme/pesca.jpg\'';  
			  
			  
			  ?>" width="130" height="43" border="0" align="bottom" /></a>
              
              <a href="<?php echo tep_href_link(FILENAME_DEFAULT,'cPath=39'); ?>"><img src="<?php 
			  $cPath = $HTTP_GET_VARS['cPath'];
					
					if($cPath==39)
					   echo DIR_WS_IMAGES.'theme/frutesel.jpg';
					else
			  		   echo DIR_WS_IMAGES.'theme/frute.jpg';  
			  
			  
			  ?>" onmouseover="this.src='images/theme/frutesel.jpg'" onmouseout="<?php 
			  		$cPath = $HTTP_GET_VARS['cPath'];
					
					if($cPath==39)
					   echo 'this.src=\'images/theme/frutesel.jpg\'';
					else
			  		   echo 'this.src=\'images/theme/frute.jpg\'';  
			  
			  
			  ?>" width="130" height="43" border="0" /></a>
              
              </p>
              </td>
            </tr>

			<tr>

        		<td><?php echo tep_draw_separator('pixel_trans.gif', '100%', '3'); ?></td>
      		</tr>

            <tr><td><br /></td></tr>

          </table></td>

        </tr>

</table>



<?php

  if (isset($HTTP_GET_VARS['error_message']) && tep_not_null($HTTP_GET_VARS['error_message'])) {

?>

<table border="0" width="100%" cellspacing="0" cellpadding="2">

  <tr class="headerError">

    <td class="headerError"><?php echo htmlspecialchars(urldecode($HTTP_GET_VARS['error_message'])); ?></td>

  </tr>

</table>

<?php

  }



  if (isset($HTTP_GET_VARS['info_message']) && tep_not_null($HTTP_GET_VARS['info_message'])) {

?>

<table border="0" width="100%" cellspacing="0" cellpadding="2">

  <tr class="headerInfo">

    <td class="headerInfo"><?php echo htmlspecialchars($HTTP_GET_VARS['info_message']); ?></td>

  </tr>

</table>

<?php

  }

?>

